#-----------------------------------------------------------------------
# File    : mlpd.mak
# Contents: build multilayer perceptron training visualization
# Author  : Christian Borgelt
# History : 28.01.2003 file created
#           20.07.2006 adapted to Visual Studio 8
#-----------------------------------------------------------------------
CC      = cl.exe
RSC     = rc.exe
LD      = link.exe
DEFS    = /D WIN32 /D NDEBUG /D _WINDOWS /D _CRT_SECURE_NO_DEPRECATE
CFLAGS  = /nologo /W3 /EHsc /O2 $(DEFS) /FD /c
RFLAGS  = /l 0x407 /d NDEBUG 
LDFLAGS = /nologo /subsystem:windows /incremental:no /machine:X86
LIBS    = user32.lib comdlg32.lib gdi32.lib

THISDIR = ..\..\mlpd\src
HDRS    = mlpd.h wmlp.rh
OBJS    = mlpd.obj wmlp.obj wmlp.res
PRG     = wmlp.exe

#-----------------------------------------------------------------------
# Build Program
#-----------------------------------------------------------------------
all:         $(PRG)

wmlp.exe:    $(OBJS) mlpd.mak
	$(LD) $(LDFLAGS) $(OBJS) $(LIBS) /out:$@

#-----------------------------------------------------------------------
# Main Program
#-----------------------------------------------------------------------
wmlp.obj:    mlpd.h wmlp.rh wmlp.c mlpd.mak
	$(CC) $(CFLAGS) wmlp.c /Fo$@

mlpd.obj:    mlpd.h mlpd.c mlpd.mak
	$(CC) $(CFLAGS) mlpd.c /Fo$@

#-----------------------------------------------------------------------
# Resources
#-----------------------------------------------------------------------
wmlp.res:    wmlp.rh wmlp.rc mlpd.mak
	$(RSC) $(RFLAGS) /fo$@ wmlp.rc

#-----------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------
install:
	-@copy $(PRG) c:\home\bin

#-----------------------------------------------------------------------
# Clean up
#-----------------------------------------------------------------------
clean:
	$(MAKE) /f mlpd.mak localclean

localclean:
	-@erase /Q *~ *.obj *.idb *.pch *.res $(PRG)
